Status: Resolved Priority: Should have
Author: Robert Lemke Category: Property
Created: 2007-12-07 Assigned To: Andreas Förthner
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Add the feature "Mapping Results" to the Property Mapper
Description

The Property Mapper doesn't only map properties from one object to another but also invokes the necessary validators and filters.
Validation, filtering and other mapping errors should be tracked in an object.

The interface for !MappingResult should look similar to this:

#!php
public function addError(T3_Framework_Error_Error $error);
public function getErrors();
public function hasErrors();

public function addSuppressedField($fieldName);
public function getSuppressedfields();

Additionally we probably need a "!MappingError" class which extends T3_Framework_Error_Error. This class is then used for true
mapping errors. Finally we also need "!ValidationError" - but that belongs to the Validation subpackage.

Associated revisions
Revision 4cfded2e - 2008-05-11 13:00 - Andreas Förthner

PropertyMapper and Validation is now implemented. This fixes #66, #69 Additionally the Controller Arguments are passed through the validation
framework.

History
#1 - 2007-12-07 12:15 - Robert Lemke

You will have to solve #67 before you create the new Error classes.

#2 - 2008-01-28 15:58 - Robert Lemke
- Target version changed from 1 to 18

#3 - 2008-05-11 13:01 - Andreas Förthner
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r837.
#4 - 2008-07-01 15:31 - Robert Lemke
- Target version deleted (18)
